## List Barndoor's default pricing

### cURL

```
curl --request GET \
  --url https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/defaults \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/defaults"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/defaults', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/defaults",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/defaults"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/defaults")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/defaults")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response

200

```
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "provider_slug": "openai",
    "model_name": "gpt-4o-mini",
    "model_pattern": "gpt-4o-mini",
    "input_cost_per_million_tokens": 0.15,
    "output_cost_per_million_tokens": 0.6,
    "currency": "USD",
    "source": "<string>",
    "cache_read_cost_per_million_tokens": 123,
    "cache_write_cost_per_million_tokens": 123
  }
]
```

### Authorizations

**Authorization**  
string  
header  
required  
JWT obtained through Barndoor's authentication flow. Pass the token verbatim in `Authorization: Bearer <token>`. Use the Barndoor SDK's `loginInteractive()` helper to obtain a token in scripts and notebooks.

#### Response Structure

200 - application/json  
List of default pricing entries

- **id**: string&lt;uuid&gt; required  
  Stable identifier for this default row. Pass in `ids` to import or sync a subset.
- **provider_slug**: string required  
  Catalog slug of the provider this pricing applies to.
  
  Example:
  
  `
